%%-----------------------------------------------------------------------------
%% desc     :活动-幻魔宝典
%% author   :ljy
%% time     :20/09/22
%%-----------------------------------------------------------------------------

-define(BOUNTY_BOSS, bountyboss).      %% 赏金幻魔
-define(WORLD_BOSS, worldboss).        %% 世界幻魔
-define(GUILD_BOSS, guildboss).        %% 社团幻魔
-define(PERSON_BOSS, personboss).      %% 个人幻魔
-define(DESERTED_BOSS, desertedboss).  %% 废都幻魔

-record(role_phantom, {
    score          = 0,              %% 积分
    lv             = 0,              %% 等级
    pay_phantom    = 0,              %% 0 普通宝典|非0 王牌宝典
    normal_reward  = [],             %% 普通宝典 已领取等级[lv,...]
    pay_reward     = [],             %% 付费宝典 已领取等级[lv,...]
    time           = 0,              %% 上次任务更新时间戳
    phantom_task   = []              %% [#phantom_task]
}).

-record(phantom_task, {
    task_id       = 0,              %% 任务id
    count         = 0               %% 完成次数
}).

-define(PHANTOM_REWARD_0,   0).    %% 不能领
-define(PHANTOM_REWARD_1,   1).    %% 已完成未领
-define(PHANTOM_REWARD_2,   2).    %% 已完成已领
